

<!-- BEGIN: Content-->
<div class="app-content content ">
    <div class="content-overlay"></div>
    <div class="header-navbar-shadow"></div>
    <div class="content-wrapper container-xxl p-0">
        <div class="content-header row">
        </div>
        <div class="content-body">
            <section *ngIf="isLoading; else notLoadingBlock">
                <div class="row">
                    <div class="col-12">
                        <div class="card">
                            <div class="card-body">
                                <div class="d-flex justify-content-center">
                                    <div class="spinner-border text-primary" role="status">
                            
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div> 
            </section>
            <ng-template #notLoadingBlock>
                <section *ngIf="project" >
                    <div class="d-flex justify-content-start mb-2">
                        <a *ngIf="project.status <= projectStatus.updated" role="button" class="btn btn-warning not-active">En attente de validation</a>
                        <a *ngIf="project.status === projectStatus.validatedByAdmin" role="button" class="btn btn-primary" routerLink="/client/project/{{project._id}}/todos">Liste à faire</a>
                        <a *ngIf="project.status === projectStatus.todosValidatedByClient" role="button" class="btn btn-primary" routerLink="/client/project/{{project._id}}/progression"><i class="fa-solid fa-arrow-trend-up"></i>&nbsp;Progression</a>
                        <a *ngIf="project.status === projectStatus.finished" role="button" class="btn btn-primary" routerLink="/client/project/{{project._id}}/billing">Facturation</a>
                        <button *ngIf="project.status === projectStatus.billed" type="button" class="btn btn-primary" disabled>Facturé</button>
                    </div>
                    <!-- search header -->
                    <section id="faq-search-filter">
                        <div class="card faq-search" style="background-image: url('assets/app-assets/images/techbynexarise-bg.jpg')">
                            <div class="card-body text-center">
                                <!-- main title -->
                                <h2 class="text-white">Cahier de charge</h2>
                            </div>
                        </div>
                    </section>
                    <!-- /search header -->

                    <div class="card mt-5">
                        <div class="card-body">
                            <div class="d-flex align-items-center justify-content-between">
                                <span><b>Date de livraison: </b>{{project.dateLivraison ? (project.dateLivraison | date : 'dd/MM/yyyy') : '--/--/--' }}</span>
                                <a href="/create-project/details/{{projectId}}" class="btn btn-primary"><i class="fa fa-edit"></i>&nbsp; Modifier les informations du projet</a>
                            </div>
                            
                        </div>
                    </div>
                    <!-- frequently asked questions tabs pills -->
                    <section id="faq-tabs">
                        <!-- vertical tab pill -->
                        <div class="row">
                            <div class="col-lg-3 col-md-4 col-sm-12 overflow-auto">
                                <div class="faq-navigation  mb-2 mb-md-0">
                                    <!-- pill tabs navigation -->
                                    <ul class="nav nav-pills nav-left flex-column" role="tablist">
                                        <!-- payment -->
                                        <li class="nav-item" *ngFor="let formDatas of formDatasList; let i = index; trackBy: trackByFn">
                                            <a class="nav-link {{i==0 ? 'active' : ''}}" id="category-{{i}}" data-bs-toggle="pill" href="#faq-category-{{i}}" aria-expanded="true" role="tab">
                                                <span class="fw-bold">{{formDatas['TITLE']}}</span>
                                            </a>
                                        </li>                           

                                    </ul>

                                    <!-- FAQ image -->
                                    <img src="assets/app-assets/images/illustration/faq-illustrations.svg" class="img-fluid d-none d-md-block" alt="demand img" />
                                </div>
                            </div>

                            <div class="col-lg-9 col-md-8 col-sm-12 overflow-auto">
                                <!-- pill tabs tab content -->
                                <div class="tab-content">
                                    <div role="tabpanel" *ngFor="let formDatas of formDatasList; let i = index; trackBy: trackByFn" class="tab-pane {{i==0 ? 'active' : ''}}" id="faq-category-{{i}}" attr.aria-labelledby="category-{{i}}" aria-expanded="true">
                                        <!-- icon and header -->
                                        <div class="d-flex align-items-center">
                                            <div>
                                                <h4 class="mb-0">{{formDatas['TITLE']}}</h4>
                                            </div>
                                        </div>
            
                                        <!-- frequent answer and question  collapse  -->
                                        <div class="accordion accordion-margin mt-2" id="faq-category-{{i}}-accordion">
                                            <form [formGroup]="masterForm[i]" >
                                                <formly-form [model]="formDatas['MODEL']" [fields]="formDatas['FORM_CONFIG']" [form]="masterForm[i]"></formly-form>
                                            </form>
                                            <!-- <div class="card accordion-item" *ngFor="let field of formDatas['FORM_CONFIG'];let iField = index; trackBy: trackByFn">
                                                <h2 class="accordion-header" id="#faq-category-{{i}}-field-{{iField}}-title">
                                                    <button class="accordion-button collapsed" data-bs-toggle="collapse" role="button" attr.data-bs-target="#faq-category-{{i}}-field-{{iField}}" aria-expanded="false" attr.aria-controls="faq-category-{{i}}-field-{{iField}}">
                                                    {{field.templateOptions?.label}}
                                                    </button>
                                                </h2>
            
                                                <div id="faq-category-{{i}}-field-{{iField}}" class="collapse accordion-collapse" attr.aria-labelledby="#faq-category-{{i}}-field-{{iField}}-title" attr.data-bs-parent="#faq-category-{{i}}-accordion">
                                                    <div class="accordion-body" *ngIf="field.key !=null ">
                                                        <span class="text-red" *ngIf="project.answers.categories[formDatas.CATEGORY][field.key.toString()] == '' || project.answers.categories[formDatas.CATEGORY][field.key.toString()] == null">
                                                            Non défini
                                                        </span>
                                                        <ng-container *ngIf="field.type=='file'">
                                                            <div *ngFor="let fileObject of project.answers.categories[formDatas.CATEGORY][field.key.toString()];let iFilePath = index; trackBy: trackByFn">
                                                                <button class="btn btn-primary mt-1" (click)="downloadFile(fileObject.chemin, fileObject.nom)">
                                                                    {{fileObject.nom}}
                                                                    <i class="fa-solid fa-download"></i>
                                                                </button>
                                                            </div>
                                                        </ng-container>
                                                        <ng-container *ngIf="field.type!='file'">
                                                            {{project.answers.categories[formDatas.CATEGORY][field.key.toString()]}}
                                                        </ng-container>
                                                        
                                                        
                                                    </div>
                                                </div>
                                            </div> -->
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </section>

                    

                    <div class="card mt-5 accordion" id="accordionIconDetails">
                        
                        <div class="card-header accordion-header text-body d-flex justify-content-between" id="accordionIconDetailsOne">
                                
                            <button type="button" class="accordion-button collapsed" data-bs-toggle="collapse" data-bs-target="#accordionIconDetails-1" aria-controls="accordionIconDetails-1">
                                <h2 class="card-title">Informations supplémentaires</h2>
                            </button>
                        </div>
                        <div id="accordionIconDetails-1" class="card-body accordion-collapse collapse show" data-bs-parent="#accordionIconDetails">
                            <form class="form form-vertical" (ngSubmit)="handleOk()" [formGroup]="form">
                                <div formArrayName="details">
                                    <div class="row d-flex align-items-start"  *ngFor="let detail of details.controls; let i=index" [formGroupName]="i">
                                        <div class="col-md-3 col-12">
                                            <div class="mb-1">
                                                <label class="form-label">Intitulé</label>
                                                <input type="text" class="form-control"  placeholder="ex : Liens réseaux sociaux" formControlName="name"/>
                                            </div>
                                        </div>
                                        <div class="col-md-4 col-12">
                                            <div class="mb-1">
                                                <label class="form-label">Description</label>
                                                <textarea class="form-control" placeholder="ex : facebook, instagram, linkedin, ..." formControlName="description" rows="3" ></textarea>
                                            </div>
                                        </div>
                                        <div class="col-md-3 col-12">
                                            <div class="mb-1">
                                                <label class="form-label">Fichiers</label>
                                                <input type="file"  class="form-control d-none" (change)="onFileSelected(i, $event)" #fileUpload multiple/>
                                                <div class="row" formArrayName="fichiers">
                                                    <div class="col-12 d-flex flex-wrap" >
                                                        <div class="btn-outline-secondary mb-1 d-flex align-items-center my-file-box me-50" *ngFor="let fichier of getFichiers(i).controls; let j=index" [formGroupName]="j">
                                                            <div class="p-50">
                                                                <i class="fa-solid fa-file"></i>
                                                                <span *ngIf="!fichier.value.loading" class="ms-50 link" (click)="downloadFile(fichier.value.chemin, fichier.value.nom)">{{fichier.value.nom}}</span>
                                                                <span *ngIf="fichier.value.loading" class="ms-50" >{{fichier.value.nom}}</span>
                                                            </div>
                                                            <span *ngIf="fichier.value.loading" class="spinner-border spinner-border-sm me-50" role="status" aria-hidden="true"></span>
                                                            <div  *ngIf="!fichier.value.loading" class="p-50 close" (click)="removeFichier(i, j)">
                                                                <i class="fa-solid fa-times"></i>
                                                            </div>
                                                            
        
                                                        </div>
                                                    </div>
                                                    <div class="col-12">
                                                        <button id="nextStepAuth" class="btn btn-sm btn-primary" type="button" (click)="fileUpload.click()">
                                                            <i class="fa-solid fa-plus"></i>
                                                            <span class="ms-50">Ajouter des fichiers</span>  
                                                        </button>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-md-2 col-12 mb-50">
                                            <label class="form-label">Actions</label>
                                            <div class="mb-1">
                                                
                                                <button class="btn btn-outline-danger text-nowrap px-1 me-2" (click)="remove(i)" type="button">
                                                    <i class="fa-solid fa-trash"></i>
                                                </button>
                                            </div>
                                        </div>
                                    </div>
                                    <hr />
                                    <div class="d-flex justify-content-start">
                                        <app-gen-button [text]="'Ajouter une ligne'" [disabled]="isSubmitLoading" (click)="add()"></app-gen-button>
                                    </div>
                                </div>
                            </form>
                            <div class="d-flex justify-content-center">
                                <app-gen-button [text]="'Enregistrer'" [disabled]="!form.valid" [isLoading]="isSubmitLoading" (click)="handleOk()"></app-gen-button>
                            </div>
                        </div>
                           
                    </div>                    
                </section>
            </ng-template>              
        </div>
    </div>
</div>
<!-- END: Content-->

<!-- Car creation modal -->


<!-- Car update modal-->

<ng-template #saveBtnInput let-savesuccess="savesuccess">
    <div class="text-center">
        <button (click)="savesuccess()" class="btn btn-secondary mx-1">Annuler</button>
        <app-gen-button [text]="'Enregistrer'" [isLoading]="isSaving" (click)="save(savesuccess)"></app-gen-button>
    </div>
</ng-template>

